Clarity Service Management

Expand all | Collapse all

Upgrade CA SDM from 14.1 to 17.1 error DB

Jump to Best Answer
  • 1.  Upgrade CA SDM from 14.1 to 17.1 error DB

    Posted 06-15-2018 03:14 PM
      |   view attached

    Updating the version from 14.1 to 17.1, running the direct setup, gives database update error. Follows file with error. Can someone help?

    Attachment(s)

    zip
    install_sacsti.txt.zip   19K 1 version


  • 2.  Re: Upgrade CA SDM from 14.1 to 17.1 error DB

    Posted 06-15-2018 04:27 PM

    Lrralves 

    Which specific products are sharing the MDB?



  • 3.  Re: Upgrade CA SDM from 14.1 to 17.1 error DB

    Posted 06-19-2018 09:20 AM

    Paul, 

    In this installation I am not sharing the CMDB with any other application.



  • 4.  Re: Upgrade CA SDM from 14.1 to 17.1 error DB

    Posted 06-19-2018 10:16 AM

    Lrralves 

     

    As indicated by Chi_Chen , please check the MDB table ca_agent to see if it has object_uuid as primary FK. If not, you can manually make it primary FK and upgrade again.



  • 5.  Re: Upgrade CA SDM from 14.1 to 17.1 error DB

    Posted 06-19-2018 11:05 AM

    Paul,

     

    I checked the ca_agent table and actually the object_uuid is not a primary key. I'll try to make the corrections.

     

    Thanks



  • 6.  Re: Upgrade CA SDM from 14.1 to 17.1 error DB

    Posted 06-19-2018 03:25 PM

    Paul,

     

    Chi's suggestion worked.

     

    Thaks,



  • 7.  Re: Upgrade CA SDM from 14.1 to 17.1 error DB
    Best Answer

    Posted 06-15-2018 04:39 PM

    IfLeonio, please check the mdb table ca_agent to see if it has object_uuid as primary FK. If not, you can manually make it primary FK and upgrade again. Thanks _Chi



  • 8.  Re: Upgrade CA SDM from 14.1 to 17.1 error DB

    Posted 06-19-2018 03:24 PM

    Chi,

     

    I made object_uuid primary key of ca_agent table, the update worked.

     

    Thanks.



  • 9.  Re: Upgrade CA SDM from 14.1 to 17.1 error DB

    Posted 06-19-2018 03:28 PM

    Leonio, cool. That was what the error message said/lol. Regards _Chi



  • 10.  Re: Upgrade CA SDM from 14.1 to 17.1 error DB

    Posted 06-18-2018 04:28 PM

    Lrralves 

    Did the information provided by Chi_Chen help solve the 14.1->17.1 upgrade issue?